BizKitHub
DocsAPI ReferenceBranch/bff/branch/archive
postBranchAdmin BFF

/bff/branch/archive

Archived branches keep orders, accounting entries and calendars, but are hidden from the branch list (unless includeArchived=true), the branch pickers (/tree) and the public API. Calendars of the branch are not archived automatically.

BranchpostBffBranchArchive

Parameters

JSON body

Request body

application/json
slugstringRequired

Branch slug.

archivedbooleanRequired

true = archive, false = restore.

Response schema

1 status code documented

200Success
successbooleanRequired
archivedbooleanRequired
changedbooleanRequired

Response example

application/json
{
  "success": false,
  "archived": false,
  "changed": false
}

Request example

POST /bff/branch/archive

post
curl -X POST "https://api.bizkithub.com/bff/branch/archive" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "slug": "example_slug",
  "archived": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key